/*******************************************************************************
* File Name: m_miso.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_m_miso_H) /* Pins m_miso_H */
#define CY_PINS_m_miso_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "m_miso_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    m_miso_Write(uint8 value) ;
void    m_miso_SetDriveMode(uint8 mode) ;
uint8   m_miso_ReadDataReg(void) ;
uint8   m_miso_Read(void) ;
uint8   m_miso_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define m_miso_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define m_miso_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define m_miso_DM_RES_UP          PIN_DM_RES_UP
#define m_miso_DM_RES_DWN         PIN_DM_RES_DWN
#define m_miso_DM_OD_LO           PIN_DM_OD_LO
#define m_miso_DM_OD_HI           PIN_DM_OD_HI
#define m_miso_DM_STRONG          PIN_DM_STRONG
#define m_miso_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define m_miso_MASK               m_miso__MASK
#define m_miso_SHIFT              m_miso__SHIFT
#define m_miso_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define m_miso_PS                     (* (reg8 *) m_miso__PS)
/* Data Register */
#define m_miso_DR                     (* (reg8 *) m_miso__DR)
/* Port Number */
#define m_miso_PRT_NUM                (* (reg8 *) m_miso__PRT) 
/* Connect to Analog Globals */                                                  
#define m_miso_AG                     (* (reg8 *) m_miso__AG)                       
/* Analog MUX bux enable */
#define m_miso_AMUX                   (* (reg8 *) m_miso__AMUX) 
/* Bidirectional Enable */                                                        
#define m_miso_BIE                    (* (reg8 *) m_miso__BIE)
/* Bit-mask for Aliased Register Access */
#define m_miso_BIT_MASK               (* (reg8 *) m_miso__BIT_MASK)
/* Bypass Enable */
#define m_miso_BYP                    (* (reg8 *) m_miso__BYP)
/* Port wide control signals */                                                   
#define m_miso_CTL                    (* (reg8 *) m_miso__CTL)
/* Drive Modes */
#define m_miso_DM0                    (* (reg8 *) m_miso__DM0) 
#define m_miso_DM1                    (* (reg8 *) m_miso__DM1)
#define m_miso_DM2                    (* (reg8 *) m_miso__DM2) 
/* Input Buffer Disable Override */
#define m_miso_INP_DIS                (* (reg8 *) m_miso__INP_DIS)
/* LCD Common or Segment Drive */
#define m_miso_LCD_COM_SEG            (* (reg8 *) m_miso__LCD_COM_SEG)
/* Enable Segment LCD */
#define m_miso_LCD_EN                 (* (reg8 *) m_miso__LCD_EN)
/* Slew Rate Control */
#define m_miso_SLW                    (* (reg8 *) m_miso__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define m_miso_PRTDSI__CAPS_SEL       (* (reg8 *) m_miso__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define m_miso_PRTDSI__DBL_SYNC_IN    (* (reg8 *) m_miso__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define m_miso_PRTDSI__OE_SEL0        (* (reg8 *) m_miso__PRTDSI__OE_SEL0) 
#define m_miso_PRTDSI__OE_SEL1        (* (reg8 *) m_miso__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define m_miso_PRTDSI__OUT_SEL0       (* (reg8 *) m_miso__PRTDSI__OUT_SEL0) 
#define m_miso_PRTDSI__OUT_SEL1       (* (reg8 *) m_miso__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define m_miso_PRTDSI__SYNC_OUT       (* (reg8 *) m_miso__PRTDSI__SYNC_OUT) 


#if defined(m_miso__INTSTAT)  /* Interrupt Registers */

    #define m_miso_INTSTAT                (* (reg8 *) m_miso__INTSTAT)
    #define m_miso_SNAP                   (* (reg8 *) m_miso__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins m_miso_H */


/* [] END OF FILE */
