/*******************************************************************************
* File Name: m_ss.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_m_ss_H) /* Pins m_ss_H */
#define CY_PINS_m_ss_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "m_ss_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    m_ss_Write(uint8 value) ;
void    m_ss_SetDriveMode(uint8 mode) ;
uint8   m_ss_ReadDataReg(void) ;
uint8   m_ss_Read(void) ;
uint8   m_ss_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define m_ss_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define m_ss_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define m_ss_DM_RES_UP          PIN_DM_RES_UP
#define m_ss_DM_RES_DWN         PIN_DM_RES_DWN
#define m_ss_DM_OD_LO           PIN_DM_OD_LO
#define m_ss_DM_OD_HI           PIN_DM_OD_HI
#define m_ss_DM_STRONG          PIN_DM_STRONG
#define m_ss_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define m_ss_MASK               m_ss__MASK
#define m_ss_SHIFT              m_ss__SHIFT
#define m_ss_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define m_ss_PS                     (* (reg8 *) m_ss__PS)
/* Data Register */
#define m_ss_DR                     (* (reg8 *) m_ss__DR)
/* Port Number */
#define m_ss_PRT_NUM                (* (reg8 *) m_ss__PRT) 
/* Connect to Analog Globals */                                                  
#define m_ss_AG                     (* (reg8 *) m_ss__AG)                       
/* Analog MUX bux enable */
#define m_ss_AMUX                   (* (reg8 *) m_ss__AMUX) 
/* Bidirectional Enable */                                                        
#define m_ss_BIE                    (* (reg8 *) m_ss__BIE)
/* Bit-mask for Aliased Register Access */
#define m_ss_BIT_MASK               (* (reg8 *) m_ss__BIT_MASK)
/* Bypass Enable */
#define m_ss_BYP                    (* (reg8 *) m_ss__BYP)
/* Port wide control signals */                                                   
#define m_ss_CTL                    (* (reg8 *) m_ss__CTL)
/* Drive Modes */
#define m_ss_DM0                    (* (reg8 *) m_ss__DM0) 
#define m_ss_DM1                    (* (reg8 *) m_ss__DM1)
#define m_ss_DM2                    (* (reg8 *) m_ss__DM2) 
/* Input Buffer Disable Override */
#define m_ss_INP_DIS                (* (reg8 *) m_ss__INP_DIS)
/* LCD Common or Segment Drive */
#define m_ss_LCD_COM_SEG            (* (reg8 *) m_ss__LCD_COM_SEG)
/* Enable Segment LCD */
#define m_ss_LCD_EN                 (* (reg8 *) m_ss__LCD_EN)
/* Slew Rate Control */
#define m_ss_SLW                    (* (reg8 *) m_ss__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define m_ss_PRTDSI__CAPS_SEL       (* (reg8 *) m_ss__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define m_ss_PRTDSI__DBL_SYNC_IN    (* (reg8 *) m_ss__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define m_ss_PRTDSI__OE_SEL0        (* (reg8 *) m_ss__PRTDSI__OE_SEL0) 
#define m_ss_PRTDSI__OE_SEL1        (* (reg8 *) m_ss__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define m_ss_PRTDSI__OUT_SEL0       (* (reg8 *) m_ss__PRTDSI__OUT_SEL0) 
#define m_ss_PRTDSI__OUT_SEL1       (* (reg8 *) m_ss__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define m_ss_PRTDSI__SYNC_OUT       (* (reg8 *) m_ss__PRTDSI__SYNC_OUT) 


#if defined(m_ss__INTSTAT)  /* Interrupt Registers */

    #define m_ss_INTSTAT                (* (reg8 *) m_ss__INTSTAT)
    #define m_ss_SNAP                   (* (reg8 *) m_ss__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins m_ss_H */


/* [] END OF FILE */
