/*******************************************************************************
* File Name: s_mosi.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_s_mosi_H) /* Pins s_mosi_H */
#define CY_PINS_s_mosi_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "s_mosi_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    s_mosi_Write(uint8 value) ;
void    s_mosi_SetDriveMode(uint8 mode) ;
uint8   s_mosi_ReadDataReg(void) ;
uint8   s_mosi_Read(void) ;
uint8   s_mosi_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define s_mosi_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define s_mosi_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define s_mosi_DM_RES_UP          PIN_DM_RES_UP
#define s_mosi_DM_RES_DWN         PIN_DM_RES_DWN
#define s_mosi_DM_OD_LO           PIN_DM_OD_LO
#define s_mosi_DM_OD_HI           PIN_DM_OD_HI
#define s_mosi_DM_STRONG          PIN_DM_STRONG
#define s_mosi_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define s_mosi_MASK               s_mosi__MASK
#define s_mosi_SHIFT              s_mosi__SHIFT
#define s_mosi_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define s_mosi_PS                     (* (reg8 *) s_mosi__PS)
/* Data Register */
#define s_mosi_DR                     (* (reg8 *) s_mosi__DR)
/* Port Number */
#define s_mosi_PRT_NUM                (* (reg8 *) s_mosi__PRT) 
/* Connect to Analog Globals */                                                  
#define s_mosi_AG                     (* (reg8 *) s_mosi__AG)                       
/* Analog MUX bux enable */
#define s_mosi_AMUX                   (* (reg8 *) s_mosi__AMUX) 
/* Bidirectional Enable */                                                        
#define s_mosi_BIE                    (* (reg8 *) s_mosi__BIE)
/* Bit-mask for Aliased Register Access */
#define s_mosi_BIT_MASK               (* (reg8 *) s_mosi__BIT_MASK)
/* Bypass Enable */
#define s_mosi_BYP                    (* (reg8 *) s_mosi__BYP)
/* Port wide control signals */                                                   
#define s_mosi_CTL                    (* (reg8 *) s_mosi__CTL)
/* Drive Modes */
#define s_mosi_DM0                    (* (reg8 *) s_mosi__DM0) 
#define s_mosi_DM1                    (* (reg8 *) s_mosi__DM1)
#define s_mosi_DM2                    (* (reg8 *) s_mosi__DM2) 
/* Input Buffer Disable Override */
#define s_mosi_INP_DIS                (* (reg8 *) s_mosi__INP_DIS)
/* LCD Common or Segment Drive */
#define s_mosi_LCD_COM_SEG            (* (reg8 *) s_mosi__LCD_COM_SEG)
/* Enable Segment LCD */
#define s_mosi_LCD_EN                 (* (reg8 *) s_mosi__LCD_EN)
/* Slew Rate Control */
#define s_mosi_SLW                    (* (reg8 *) s_mosi__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define s_mosi_PRTDSI__CAPS_SEL       (* (reg8 *) s_mosi__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define s_mosi_PRTDSI__DBL_SYNC_IN    (* (reg8 *) s_mosi__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define s_mosi_PRTDSI__OE_SEL0        (* (reg8 *) s_mosi__PRTDSI__OE_SEL0) 
#define s_mosi_PRTDSI__OE_SEL1        (* (reg8 *) s_mosi__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define s_mosi_PRTDSI__OUT_SEL0       (* (reg8 *) s_mosi__PRTDSI__OUT_SEL0) 
#define s_mosi_PRTDSI__OUT_SEL1       (* (reg8 *) s_mosi__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define s_mosi_PRTDSI__SYNC_OUT       (* (reg8 *) s_mosi__PRTDSI__SYNC_OUT) 


#if defined(s_mosi__INTSTAT)  /* Interrupt Registers */

    #define s_mosi_INTSTAT                (* (reg8 *) s_mosi__INTSTAT)
    #define s_mosi_SNAP                   (* (reg8 *) s_mosi__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins s_mosi_H */


/* [] END OF FILE */
