/*******************************************************************************
* File Name: s_ss.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_s_ss_H) /* Pins s_ss_H */
#define CY_PINS_s_ss_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "s_ss_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    s_ss_Write(uint8 value) ;
void    s_ss_SetDriveMode(uint8 mode) ;
uint8   s_ss_ReadDataReg(void) ;
uint8   s_ss_Read(void) ;
uint8   s_ss_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define s_ss_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define s_ss_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define s_ss_DM_RES_UP          PIN_DM_RES_UP
#define s_ss_DM_RES_DWN         PIN_DM_RES_DWN
#define s_ss_DM_OD_LO           PIN_DM_OD_LO
#define s_ss_DM_OD_HI           PIN_DM_OD_HI
#define s_ss_DM_STRONG          PIN_DM_STRONG
#define s_ss_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define s_ss_MASK               s_ss__MASK
#define s_ss_SHIFT              s_ss__SHIFT
#define s_ss_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define s_ss_PS                     (* (reg8 *) s_ss__PS)
/* Data Register */
#define s_ss_DR                     (* (reg8 *) s_ss__DR)
/* Port Number */
#define s_ss_PRT_NUM                (* (reg8 *) s_ss__PRT) 
/* Connect to Analog Globals */                                                  
#define s_ss_AG                     (* (reg8 *) s_ss__AG)                       
/* Analog MUX bux enable */
#define s_ss_AMUX                   (* (reg8 *) s_ss__AMUX) 
/* Bidirectional Enable */                                                        
#define s_ss_BIE                    (* (reg8 *) s_ss__BIE)
/* Bit-mask for Aliased Register Access */
#define s_ss_BIT_MASK               (* (reg8 *) s_ss__BIT_MASK)
/* Bypass Enable */
#define s_ss_BYP                    (* (reg8 *) s_ss__BYP)
/* Port wide control signals */                                                   
#define s_ss_CTL                    (* (reg8 *) s_ss__CTL)
/* Drive Modes */
#define s_ss_DM0                    (* (reg8 *) s_ss__DM0) 
#define s_ss_DM1                    (* (reg8 *) s_ss__DM1)
#define s_ss_DM2                    (* (reg8 *) s_ss__DM2) 
/* Input Buffer Disable Override */
#define s_ss_INP_DIS                (* (reg8 *) s_ss__INP_DIS)
/* LCD Common or Segment Drive */
#define s_ss_LCD_COM_SEG            (* (reg8 *) s_ss__LCD_COM_SEG)
/* Enable Segment LCD */
#define s_ss_LCD_EN                 (* (reg8 *) s_ss__LCD_EN)
/* Slew Rate Control */
#define s_ss_SLW                    (* (reg8 *) s_ss__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define s_ss_PRTDSI__CAPS_SEL       (* (reg8 *) s_ss__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define s_ss_PRTDSI__DBL_SYNC_IN    (* (reg8 *) s_ss__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define s_ss_PRTDSI__OE_SEL0        (* (reg8 *) s_ss__PRTDSI__OE_SEL0) 
#define s_ss_PRTDSI__OE_SEL1        (* (reg8 *) s_ss__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define s_ss_PRTDSI__OUT_SEL0       (* (reg8 *) s_ss__PRTDSI__OUT_SEL0) 
#define s_ss_PRTDSI__OUT_SEL1       (* (reg8 *) s_ss__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define s_ss_PRTDSI__SYNC_OUT       (* (reg8 *) s_ss__PRTDSI__SYNC_OUT) 


#if defined(s_ss__INTSTAT)  /* Interrupt Registers */

    #define s_ss_INTSTAT                (* (reg8 *) s_ss__INTSTAT)
    #define s_ss_SNAP                   (* (reg8 *) s_ss__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins s_ss_H */


/* [] END OF FILE */
