/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <project.h>

#define SPI24

void main()
{
    uint8 i = 0u;
    ss_ctrl_Write(1);
    
    CyGlobalIntEnable;
    
    /* We need to start Character LCD, SPI Master and Slave components */
    LCD_Start();
	LCD_ClearDisplay();
    SPIM_Start();
    SPIS_Start();
	
	for(;;)
	{
	    ss_ctrl_Write(0);
	
	    SPIM_WriteTxData(0xDDu);
	    SPIM_WriteTxData(0xEEu);
	    SPIM_WriteTxData(0xFFu);
	    SPIM_WriteTxData(0x12u);
		
        CyDelayUs(38u);
        /* We need to know the moment when SPI communication is complete
         * to display received data. SPIS_SPI_DONE status should be polled. 
        */
	    while(!( SPIS_STS_SPI_DONE));
	
	    ss_ctrl_Write(1);
    
        LCD_ClearDisplay();
    
        LCD_Position(0u,0u);
        LCD_PrintString("SPIS Rx data:");
    
        LCD_Position(1u,0u);
        for(i=0u; i<8u; i++)
        {
               /* Read from SPIS Rx software buffer */
               LCD_PrintHexUint8(SPIS_ReadRxData());        
        }
    }
    	
}    

/* [] END OF FILE */
